package org.netkernel.layer0.meta;

import org.netkernel.urii.IEndpoint;

/** Space Elements are the elements of the set which is an address-space. Elements may be logical endpoints,
 * representations or prototypes.
 * @author tab
 */
public interface ISpaceElements extends ILogicalEndpoints
{
	/** Return the physical endpoint that implements the given element
	 * @param aIndex
	 * @return
	 */
	IEndpoint getPhysicalEndpoint(int aIndex);
}
