package org.netkernel.layer0.meta;

import org.netkernel.container.IMessages;
import org.netkernel.layer0.util.OrderedCheapMultiStringMap;


public interface IIdentifierGrammar
{
	boolean matches(String aString);
	boolean partMatches(String aName, String aValue);
	OrderedCheapMultiStringMap parse(String aString) throws GrammarException;
	String construct(OrderedCheapMultiStringMap aParts, IMessages aMessages) throws GrammarException;
	String toString();
	String toXMLString();
}
